Bug 977121 - Review Request: nodejs-findup-sync - Find the first file matching a given pattern
Review Request: nodejs-findup-sync - Find the first file matching a given pat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 977132
Blocks: nodejs-reviews 977128
  Show dependency treegraph
 
Reported: 2013-06-23 12:53 EDT by Jamie Nguyen
Modified: 2013-08-05 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-findup-sync-0.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 17:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 12:53:34 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-findup-sync.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-findup-sync-0.1.2-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.
Comment 1 T.C. Hollingsworth 2013-07-17 11:32:41 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

==== TODO Post-Review ====

[ ]: Enable the tests when grunt is ready.

     Gotta love those recursive dependencies...

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

     MIT in LICENSE-MIT -> OK
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used -> OK
[x]: Package is named according to the Package Naming Guidelines.
        nodejs- prefix used -> OK
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
        V8 ExclusiveArch used -> OK
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.

% npm -q view findup-sync version
0.1.2

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.

        requires grunt, which requires this -> OK for now

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-findup-sync-0.1.2-1.fc20.noarch.rpm
          nodejs-findup-sync-0.1.2-1.fc20.src.rpm
nodejs-findup-sync.noarch: W: only-non-binary-in-usr-lib
nodejs-findup-sync.noarch: W: dangling-symlink /usr/lib/node_modules/findup-sync/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-findup-sync.noarch: W: dangling-symlink /usr/lib/node_modules/findup-sync/node_modules/glob /usr/lib/node_modules/glob
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-findup-sync
nodejs-findup-sync.noarch: W: only-non-binary-in-usr-lib
nodejs-findup-sync.noarch: W: dangling-symlink /usr/lib/node_modules/findup-sync/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-findup-sync.noarch: W: dangling-symlink /usr/lib/node_modules/findup-sync/node_modules/glob /usr/lib/node_modules/glob
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-findup-sync (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(glob)
    npm(lodash)

OK

Provides
--------
nodejs-findup-sync:
    nodejs-findup-sync
    npm(findup-sync)

OK

Source checksums
----------------
http://registry.npmjs.org/findup-sync/-/findup-sync-0.1.2.tgz :
  CHECKSUM(SHA256) this package     : 0df0154b34bd0b8a2a69ad4fac1f91093c1b22d21f7a407d0eb9abfc0f9cb20c
  CHECKSUM(SHA256) upstream package : 0df0154b34bd0b8a2a69ad4fac1f91093c1b22d21f7a407d0eb9abfc0f9cb20c

OK

Generated by fedora-review 0.4.0 (b80cd0f) last change: 2013-07-09
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b977121
Comment 2 Jamie Nguyen 2013-07-17 12:07:45 EDT
(In reply to T.C. Hollingsworth from comment #1)
> [ ]: Enable the tests when grunt is ready.
> 
>      Gotta love those recursive dependencies...

Oh yes, quite ;-)
Comment 3 Jamie Nguyen 2013-07-17 12:08:09 EDT
New Package SCM Request
=======================
Package Name: nodejs-findup-sync
Short Description: Find the first file matching a given pattern
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 4 Gwyn Ciesla 2013-07-17 12:39:12 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-07-17 15:41:05 EDT
nodejs-findup-sync-0.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-findup-sync-0.1.2-1.fc19
Comment 6 Fedora Update System 2013-07-17 15:42:27 EDT
nodejs-findup-sync-0.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-findup-sync-0.1.2-1.fc18
Comment 7 Fedora Update System 2013-07-17 15:43:16 EDT
nodejs-findup-sync-0.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-findup-sync-0.1.2-1.el6
Comment 8 Fedora Update System 2013-07-30 13:44:12 EDT
nodejs-findup-sync-0.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-07-30 13:44:23 EDT
nodejs-findup-sync-0.1.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-08-05 19:30:15 EDT
nodejs-findup-sync-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.